%define name   paintown
%define version 3.5.0
%define release %mkrel 2

Summary: Paintown is a 2-d engine for fighting games.
Summary(de): Paintown ist eine 2D Engine für Kampfspiele
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Games/Adventure
License: GPv2
URL:	 http://paintown.sourceforge.net/
Source0: http://paintown.sourceforge.net/%{name}-%{version}.tar.xz
Patch:   paintown-3.3.1-funcs.cpp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: scons
BuildRequires: python-devel
BuildRequires: allegro-devel
BuildRequires: zlib-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: SDL-devel
Obsoletes:  %name < %version
Requires:	allegro %{_lib}allegro4.4

%description
Paintown is a 2-d engine for fighting games. If you are looking for a side-scrolling, 
action packed game like you used to play or if you are looking for an extensible 
engine to write your own game, look no further. Paintown supports user created 
content through a mod system and user defined functionality through scripting.

Features
* Low CPU and GPU requirements
* Network play
* Dynamic lighting
* Joystick support
* mod/s3m/xm/it music modules
* Scripting with python
* M.U.G.E.N engine

%description -l de
Paintown ist eine 2D Engine für Kampfspiele. Wenn Sie nach einem Sidescrolling,
Aktion geladenem Spiel wie Sie es mögen, suchen oder wenn Sie nach einer
erweiterbaren Engine zum Schreiben von eigenem Inhalt für eigene Spiele suchen,
dann suchen Sie nicht weiter. Paintown unterstützt vom Benutzer erzeugte Inhalte
durch eine Mod-System und benutzerdefinierte Funktionalität durch eine Scripting
Schnittstelle.

Eigenschaften
* Niedrige CPU und GPU Anforderunden
* Netzwerkspiel
* Dynamische Beleuchtung
* Joystickunterstützung
* mod/s3m/xm/it Musikmodule
* Scripting mit Python
* M.U.G.E.N engine


%prep
%setup -q 
%patch -p1

%cmake

%build
%make

%install
rm -rf %{buildroot}
./install.sh -d %{buildroot}%{_datadir}/games/%{name} -b %{buildroot}%{_datadir}/games

install -dm 755 %{buildroot}%_datadir/pixmaps
install -m 644 data/menu/%{name}.png %{buildroot}%_datadir/pixmaps
convert %{buildroot}%_datadir/pixmaps/%{name}.png -resize 48 \
%{buildroot}%_datadir/pixmaps/%{name}.png

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/games/%{name}/
exec ./paintown-bin
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PainTown
Comment=A 2-d engine for fighting games.
Comment[de]=Paintown ist eine 2D Engine für Kampfspiele
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF



%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root,-)
%doc README LEGAL LICENSE TODO scripting.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Apr 13 2013 Texstar <texstar at gmail.com> 3.5.0-2pclos2013
- fix specfile for 32/64

* Tue Jul 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.5.0-1pclos2012
- 3.5.0
- added german summary, description and Comment in desktop file
- added %{_lib} macros
- fixed line number in patch
- fixed install section
- added cmake

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 3.3.1-4pclos2010
- rebuild for python 

* Sun Jul 11 2010 Texstar <texstar at gmail.com> 3.3.1-3pclos2010
- rebuild

* Fri May 21 2010 Texstar <texstar at gmail.com> 3.3.1-2pclos2010
- rebuild against updated allegro

* Mon May 10 2010 slick50 <lxgator@gmail.com>  3.3.1-1pclos2010
- initial pkg
